scala.tools.scalap.scalax.rules

# Failure

#### object Failure extends NoSuccess[Nothing] with Product with Serializable

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, NoSuccess[Nothing], Result[Nothing, Nothing, Nothing], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Failure
2. Serializable
3. Serializable
4. Product
5. Equals
6. NoSuccess
7. Result
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def error: Nothing

    Definition Classes
      Failure → Result

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def flatMap[Out2, B](f: (Nothing, Nothing) ⇒ Result[Out2, B, Nothing]): NoSuccess[Nothing]

    Definition Classes
      NoSuccess → Result

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def map[Out2, B](f: (Nothing, Nothing) ⇒ (Out2, B)): NoSuccess[Nothing]

    Definition Classes
      NoSuccess → Result

16. #### def map[B](f: (Nothing) ⇒ B): NoSuccess[Nothing]

    Definition Classes
      NoSuccess → Result

17. #### def mapOut[Out2](f: (Nothing) ⇒ Out2): NoSuccess[Nothing]

    Definition Classes
      NoSuccess → Result

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def orElse[Out2, B](other: ⇒ Result[Out2, B, Nothing]): Result[Out2, B, Nothing]

    Definition Classes
      NoSuccess → Result

22. #### def out: Nothing

    Definition Classes
      NoSuccess → Result

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toOption: None.type

    Definition Classes
      NoSuccess → Result

25. #### def value: Nothing

    Definition Classes
      NoSuccess → Result

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NoSuccess[Nothing]

### Inherited from Result[Nothing, Nothing, Nothing]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped